pods_compatibility_check

Check if Pods is compatible with WP / PHP / MySQL or not.

Description

pods_compatibility_check(); 

Usage

  1. if ( !function_exists( 'pods_compatibility_check' ) ) { 
  2. require_once ABSPATH . PLUGINDIR . 'pods-custom-content-types-and-fields/includes/general.php'; 
  3.  
  4.  
  5. // NOTICE! Understand what this does before running. 
  6. $result = pods_compatibility_check(); 
  7.  

Defined (1)

The function is defined in the following location(s).

/includes/general.php  
  1. function pods_compatibility_check () { 
  2. $compatible = true; 
  3.  
  4. if ( !pods_version_check( wp, PODS_WP_VERSION_MINIMUM ) ) { 
  5. $compatible = false; 
  6.  
  7.  
  8. if ( !pods_version_check( 'php', PODS_PHP_VERSION_MINIMUM ) ) { 
  9. $compatible = false; 
  10.  
  11.  
  12. if ( !pods_version_check( 'mysql', PODS_MYSQL_VERSION_MINIMUM ) ) { 
  13. $compatible = false; 
  14.  
  15.  
  16. return $compatible;